#
# spec file for package gpredict
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gpredict
Version:        1.3_373
Release:        1.2
Summary:        Realtime satellite tracking program for GNOME
License:        GPL-2.0
Group:          Productivity/Hamradio/Other
Url:            http://groundstation.sourceforge.net/gpredict
Source:         %{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(goocanvas)
BuildRequires:  pkgconfig(libcurl)
Requires(post): hicolor-icon-theme
Requires(post): update-desktop-files
Requires(postun): hicolor-icon-theme
Requires(postun): update-desktop-files
BuildRequires:  hicolor-icon-theme
Recommends:     %{name}-lang


%description
Gpredict is a real-time satellite tracking and orbit prediction
application. It can track an unlimited number of satellites and display
their position and other data in lists, tables, maps, and polar plots
(radar view). Gpredict can also predict the time of future passes for a
satellite, and provide you with detailed information about each pass.

%lang_package

%prep
%setup -q
mv git-version-gen git-version-gen_in
sed s/'v=UNKNOWN'/'v=%{version}'/g git-version-gen_in > git-version-gen
chmod +x git-version-gen
chmod +x autogen.sh
rm git-version-gen_in

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}
%suse_update_desktop_file -c gpredict Gpredict "Satellite tracking program" gpredict gpredict-icon "Network;HamRadio"
%fdupes -s %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_bindir}/gpredict
%{_datadir}/applications/gpredict.desktop
%{_datadir}/gpredict/
%{_datadir}/pixmaps/gpredict-icon.png
%{_datadir}/pixmaps/gpredict/
%{_mandir}/man1/gpredict.1%{ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Thu Mar  9 2017 mpluskal@suse.com
- Cleanup with spec-clener
* Tue Oct 25 2016 dl8fcl@t-online.de
- update to 1.3 + git version
* Thu Jun  7 2012 dl8fcl@darc.de
- fixed BuildRequires for openSUSE_12.2, License tag updated
* Mon Jan  9 2012 dl8fcl@darc.de
- fixed BuildRequires for openSUSE_12.1
* Wed Mar  2 2011 dl8fcl@darc.de
- update to 1.3
* Thu Oct 14 2010 dl8fcl@darc.de
- update to 1.2
* Thu Oct  8 2009 dl8fcl@darc.de
- update to 1.1
* Mon May 25 2009 dl8fcl@darc.de
- update to 1.0b5
* Sat May 16 2009 dl8fcl@darc.de
- update to 1.0b4
* Tue Sep 30 2008 dl8fcl@darc.de
- updated for openSUSE_Factory
* Sun Aug 17 2008 dl8fcl@darc.de
- add icon to gpredict.desktop
* Mon Jun  2 2008 dl9pf@gmx.de
- update to 0.9 and pkg for 11.0
* Wed Feb 21 2007 dl9pf@gmx.de
- import into buildservice
- version 0.7.1
* Sun Dec 17 2006 dg7gt@online.de
- Update to version 0.6.1 of gpredict
* Tue Jun 20 2006 dg7gt@online.de
- initial spec file for SUSE 10.1
